# Run tests in check section
%bcond_without check

# https://github.com/sourcegraph/syntaxhighlight
%global goipath         github.com/sourcegraph/syntaxhighlight
%global commit          bd320f5d308e1a3c4314c678d8227a0d72574ae7

%global common_description %{expand:
Syntaxhighlight provides syntax highlighting for code. It currently uses a 
language-independent lexer and performs decently on JavaScript, Java, Ruby, 
Python, Go, and C.}

%gometa

Name:           %{goname}
Version:        0
Release:        %mkrel 1
Summary:        Syntax highlighting of code
Group:          Development/Other
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/sourcegraph/annotate)

%if %{with check}
BuildRequires: golang(github.com/kr/pretty)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md benchmark.txt
%{_bindir}/*

%gopkgfiles


%changelog
* Thu Aug 25 2022 guillomovitch <guillomovitch> 0-1.mga9
+ Revision: 1880391
- spec file cleanup

* Sun Nov 25 2018 pterjan <pterjan> 0-0.2.mga8
+ Revision: 1334469
- imported package golang-github-sourcegraph-syntaxhighlight


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.gitbd320f5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20180418gitbd320f5
- First package for Fedora

